package stones;
import java.awt.Color;
import java.io.*;

/**
 * this class represents the stone looking like a "O"
 *
 *@author Winkler
 */
public class S_O extends S_Stone implements Serializable
{

	private int colint;
	private Color colo;
	private String colstr;

	private static final long serialVersionUID = 13L;
	
	public S_O()
	{
		name = "O";
		colint = 4;
		colo = Color.yellow;
		colstr= "yellow";
		mat = new S_ColorBlock[][]
		       {{new S_ColorBlock(whito, wstr, wint),new S_ColorBlock(whito, wstr, wint),new S_ColorBlock(whito, wstr, wint),new S_ColorBlock(whito, wstr, wint)},
				{new S_ColorBlock(whito, wstr, wint),new S_ColorBlock(colo, colstr, colint),new S_ColorBlock(colo, colstr, colint),new S_ColorBlock(whito, wstr, wint)},
				{new S_ColorBlock(whito, wstr, wint),new S_ColorBlock(colo, colstr, colint),new S_ColorBlock(colo, colstr, colint),new S_ColorBlock(whito, wstr, wint)},
				{new S_ColorBlock(whito, wstr, wint),new S_ColorBlock(whito, wstr, wint),new S_ColorBlock(whito, wstr, wint),new S_ColorBlock(whito, wstr, wint)}};
	}

	/**
	 * returns a String with the name of the stone (S,Z,L,J,O,T,I)
	 *
	 * @return name=nameOfStone
	 */
	public String getName()
	{
		return name;
	}

	/**
	 * returns a String like "name=nameOfStone"
	 *
	 * @return name=nameOfStone
	 */
	public String toString()
	{
		return "name=" + name;
	}

	/**
	 * returns the matrix representing the stone in the actual state
	 *
	 * @return mat matrix with entrances where colored rectangles should be painted
	 */
	public S_ColorBlock[][] getMat()
	{
		return mat;
	}

	public void rotate()
	{

	}
}
