package serverClient;
import java.util.*;


/**
 *  This class is an TimerTask that could be described as a "synchronizing game clock". It is just counting down an integer value, from which several actions in other classes depend.
 *  @author Winkler
 */

public class S_clock extends TimerTask
{
	private int i;

	S_clock()
	{
		i = 610;
	}

        /**
         *  This method counts down an integer value, until it is (set) 0.
         */
	public void run()
	{
		if(i >= 0)
		{
			i--;
			System.out.print(" " + i);
		}
	}
	
	public int getI()
	{
		return i;
	}
	
	public void setI(int ii)
	{
		i = ii;
	}
}
